# Interface Painter

All Known Implementing Classes:
  `SwingPainter`

public interface Painter
Interface for plot output.

Since:
  22 Apr 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`paintPicture(Picture picture)`
Export the graphics contained in a Picture.

## Method Details

### paintPicture

void paintPicture(Picture picture) throws IOException
Export the graphics contained in a Picture.

Parameters:
  `picture` - graphics to export
Throws:
  `IOException`